MTOM (Java Platform SE 8 )
Keywords: javax.xml.ws.soap.MTOM class
Date: 2015-11-19

javax.xml.ws.soap

## Annotation Type MTOM

-     @Target(value={TYPE,METHOD,FIELD})
       @Retention(value=RUNTIME)
       @Documented
       @WebServiceFeatureAnnotation(id="http://www.w3.org/2004/08/soap/features/http-optimization",
                                   bean=MTOMFeature.class)
      public @interface MTOM

  This feature represents the use of MTOM with a web service.

  This annotation MUST only be used in conjunction the `javax.jws.WebService`, `WebServiceProvider`, `WebServiceRef` annotations. When used with the `javax.jws.WebService` annotation this annotation MUST only be used on the service endpoint implementation class. When used with a `WebServiceRef` annotation, this annotation MUST only be used when a proxy instance is created. The injected SEI proxy, and endpoint MUST honor the values of the `MTOM` annotation.

  This annotation's behaviour is defined by the corresponding feature `MTOMFeature`.

  Since:
    JAX-WS 2.1

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `enabled` Specifies if this feature is enabled or disabled.
    `int` | `threshold` Property for MTOM threshold value.

- - ### Element Detail

    - #### enabled

          public abstract boolean enabled

      Specifies if this feature is enabled or disabled.
      Default:
        true

  - - #### threshold

          public abstract int threshold

      Property for MTOM threshold value. When MTOM is enabled, binary data above this size in bytes will be XOP encoded or sent as attachment. The value of this property MUST always be >= 0. Default value is 0.
      Default:
        0

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.